# Uses of Class
com.ocient.transport.TransportException

Packages that use TransportException
Package
Description
com.ocient.transport

## Uses of TransportException in com.ocient.transport

Subclasses of TransportException in com.ocient.transport
Modifier and Type
Class
Description
`class`
`ServerQuiesceException`
Methods in com.ocient.transport that return TransportException
Modifier and Type
Method
Description
`default TransportException`
TransportResult.`getException()`
`static TransportException`
TransportException.`recv(Throwable cause)`
Creates a new `TransportException` object with a `FailMode` of `RECV` and the specified cause.
`static TransportException`
TransportException.`send(Throwable cause)`
Creates a new `TransportException` object with a `FailMode` of `SEND` and the specified cause.
Methods in com.ocient.transport with parameters of type TransportException
Modifier and Type
Method
Description
`static <T> TransportResult<T>`
TransportResult.`fail(TransportException e)`
Creates a new instance of `TransportResult` that represents a failed I/O operation.
`static <T> CompletionStage<TransportResult<T>>`
TransportResult.`failAsync(TransportException e)`
Creates a new completed stage that represents a failed execution of an I/O operation.
`static <T> CompletionStage<TransportResult<T>>`
TransportResult.`failRecvAsync(TransportException e)`
Creates a new completed stage that represents a failed execution of an I/O operation.
`static <T> CompletionStage<TransportResult<T>>`
TransportResult.`failSendAsync(TransportException e)`
Creates a new completed stage that represents a failed execution of an I/O operation.